package cn.com.poc.data_analyze.entity;	


public class BizDataAnalyzeDialogueRecordEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** relation_id
    *主体关联id
    */ 
    private java.lang.String relationId;

    public java.lang.String getRelationId(){
        return this.relationId;
    }
    
    public void setRelationId(java.lang.String relationId){
        this.relationId = relationId;
    }
	/** type
    *应用类型  agent-agent应用
    */ 
    private java.lang.String type;

    public java.lang.String getType(){
        return this.type;
    }
    
    public void setType(java.lang.String type){
        this.type = type;
    }
	/** member_id
    *用户id
    */ 
    private java.lang.Long memberId;

    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
	/** channel
    *使用渠道 
应用调式： 调试、多模型调试
使用渠道： 首页、应用广场、链接分享、API调用
    */ 
    private java.lang.String channel;

    public java.lang.String getChannel(){
        return this.channel;
    }
    
    public void setChannel(java.lang.String channel){
        this.channel = channel;
    }
	/** datetime
    *对话上报时间
    */ 
    private java.util.Date datetime;

    public java.util.Date getDatetime(){
        return this.datetime;
    }
    
    public void setDatetime(java.util.Date datetime){
        this.datetime = datetime;
    }

    /**
     * 积分使用情况   00.00
     */
    private Double pointNum;

    public Double getPointNum() {
        return pointNum;
    }

    public void setPointNum(Double pointNum) {
        this.pointNum = pointNum;
    }
}